Subject: RE: [External] : Re: bug#55894: 26.3; [PATCH] `find-lisp.el' bugs

From: Drew Adams <[email-masked]>
Date: Sat, 11 Jun 2022 17:47:17 +0000

> > Summary:
> >
> >  1. Thanks for considering making some improvements
> >     to `find-lisp.el', and starting with the fixes
> >     I suggested.
> >
> >  2. I'm OK with changes you suggested.  Please do
> >     whatever you think helps best.
> 
> Does this mean you won't be submitting a modified patch which takes
> into account the comments?

I guess so, yes.

I pointed out a couple of bugs.  And I suggested
fixes for those bugs, as a patch.  That should at
least make clear what those problems are and serve
as food for thought in case you want to fix them.

I'm OK with your making whatever doc-string changes
you like.

I'm OK with your integrating `ls-lisp' code or
otherwise updating `find-lisp' to take advantage of
`ls-lisp' code.  That would be welcome.

My overall request is to fix the bugs I pointed to.
I made a suggestion as to how they can be fixed.
HTH.

I'm also OK with your doing nothing.  In that case,
I'll have to create a file (e.g. `find-lisp+.el')
with those fixes, for `find-lisp' to work with my
other code (e.g. `dired+.el' commands that make
snapshot Dired buffers from `find' listings (e.g.
from `find-(dired|lisp)').

(I could add such a file anyway, for use with older
Emacs versions, but I'm OK with foregoing use of
`find-lisp' with Emacs versions prior to whatever
Emacs release you might fix this for.)